package kr.co.hanwha.hifive.enums;

/**
 * TASK 상태값
 * Created by sanghoonkwon on 2018. 1. 25..
 */

public enum TaskStatusType {
    NONE(0),
    /**
     * 생성
     */
    CREATED(10),
    /**
     * 할당
     */
    ASSIGNED(20),
    /**
     * 요청
     */
    REQUESTED(30),
    /**
     * 요청반려
     */
    REJECTED_REQUEST(40),
    /**
     * 수행중
     */
    DOING_TODAY(50),
    /**
     * 완료
     */
    EVALUATED(60),
    /**
     * 평가반려
     */
    REJECTED_EVALUATION(70),
    /**
     * 종료
     */
    CLOSED(80);

    private int mType;

    TaskStatusType(int type) {
        mType = type;
    }

    public int getCode() {
        return mType;
    }
}
